__gnu_cxx::forced_error(3)

NAME
__gnu_cxx::forced_error -

SYNOPSIS

Inherits std::exception.

  Public Member Functions
virtual const char * what () const noexcept

Detailed Description

Thown by exception safety machinery.

Definition at line 74 of file throw_allocator.h.

Member Function Documentation

  virtual const char* std::exception::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error.

Reimplemented in std::bad_function_call, std::ios_base::failure, std::bad_typeid, std::bad_cast, std::runtime_error, std::future_error, std::bad_exception, std::logic_error, std::bad_weak_ptr, and std::bad_alloc.

Author

Generated automatically by Doxygen for libstdc++ from the source code.